/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#ifndef BUILDER_H_
#define BUILDER_H_

#include <iostream>
using namespace std;

enum class Builder
{
    FENDER, MARTIN, GIBSON, COLLINGS, OLSON, RYAN, PRS, ANY,
};

inline ostream& operator <<(ostream& ostr, const Builder builder)
{
    switch (builder)
    {
        case Builder::FENDER:   ostr << "Fender";   break;
        case Builder::MARTIN:   ostr << "Martin";   break;
        case Builder::GIBSON:   ostr << "Gibson";   break;
        case Builder::COLLINGS: ostr << "Collings"; break;
        case Builder::OLSON:    ostr << "Olson";    break;
        case Builder::RYAN:     ostr << "Ryan";     break;
        case Builder::PRS :     ostr << "PRS";      break;
        default:                ostr << "Unspecified";
    }
    return ostr;
}

#endif /* BUILDER_H_ */
