/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#include <string>
#include "GuitarSpec.h"
#include "Builder.h"
#include "Type.h"
#include "Wood.h"

using namespace std;

bool GuitarSpec::matches(GuitarSpec *other_spec)
{
    if (builder != other_spec->builder) return false;
    if (   (model != "")
        && (to_lower(model) != to_lower(other_spec->model))) return false;
    if (type != other_spec->type) return false;
    if (string_count != other_spec->string_count) return false;
    if (back_wood != other_spec->back_wood) return false;
    if (top_wood != other_spec->top_wood) return false;
    return true;
}
